[arch-commits] Commit in spyder/repos (2 files)
Bruno Pagani
archange at archlinux.org
Sun Apr 4 18:11:49 UTC 2021
Date: Sunday, April 4, 2021 @ 18:11:49
Author: archange
Revision: 911777
archrelease: copy trunk to community-testing-any
Added:
spyder/repos/community-testing-any/
spyder/repos/community-testing-any/PKGBUILD
(from rev 911776, spyder/trunk/PKGBUILD)
----------+
PKGBUILD | 136 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 136 insertions(+)
Copied: spyder/repos/community-testing-any/PKGBUILD (from rev 911776, spyder/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD (rev 0)
+++ community-testing-any/PKGBUILD 2021-04-04 18:11:49 UTC (rev 911777)
@@ -0,0 +1,136 @@
+# Maintainer: Muflone http://www.muflone.com/contacts/english/
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Francois Boulogne <fboulogne at april.org>
+# Contributor: TDY <tdy at gmx.com>
+
+pkgname=spyder
+pkgver=5.0.0
+pkgrel=1
+pkgdesc="The Scientific Python Development Environment"
+arch=(any)
+url="https://www.spyder-ide.org/"
+license=(MIT)
+makedepends=(python-sphinx)
+depends=(
+ python-atomicwrites
+ python-chardet
+ python-cloudpickle
+ python-cookiecutter
+ python-diff-match-patch
+ python-intervaltree
+ ipython
+ python-jedi
+ python-jsonschema
+ python-keyring
+ jupyter-nbconvert
+ python-numpydoc
+ python-parso
+ python-pexpect
+ python-pickleshare
+ python-psutil
+ python-pygments
+ python-pylint
+ python-pyqt5
+ python-pyqtwebengine
+ qt5-webkit
+ python-language-server
+ python-pyls-black
+ python-pyls-spyder
+ python-xdg
+ python-pyzmq
+ python-qdarkstyle
+ python-qstylizer
+ python-qtawesome
+ python-qtconsole
+ python-qtpy
+ python-setuptools
+ python-sphinx
+ python-spyder-kernels
+ python-textdistance
+ python-three-merge
+ python-watchdog
+ autopep8
+ flake8
+ python-pycodestyle
+ python-pydocstyle
+ python-pyflakes
+ python-rope
+ yapf
+)
+# Starting from autopep8, required optdeps of python-language-server
+optdepends=(
+ 'cython: run Cython files in the IPython Console'
+ 'python-matplotlib: 2D/3D plotting in the IPython Console'
+ 'python-numpy: support for N-dimensional arrays in the Variable Explorer'
+ 'python-pandas: support for DataFrames and Series in the Variable Explorer'
+ 'python-scipy: support for Matlab workspace in the Variable Explorer'
+ 'python-sympy: symbolic mathematics in the IPython Console'
+)
+checkdepends=(
+ python-pytest
+ python-pytest-qt
+ python-pytest-mock
+ python-pytest-cov
+ python-pytest-xvfb
+ python-pytest-ordering
+ python-pytest-lazy-fixture
+ python-flaky
+ python-pandas
+ python-scipy
+ python-sympy
+ python-pillow
+ python-matplotlib
+ cython
+ git
+ tk
+)
+source=(https://github.com/spyder-ide/${pkgname}/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('49b0d42970f0bb114c7318b464bc70419327cf00c1d651821099ccf3d9ec6365')
+
+prepare() {
+ cd ${pkgname}-${pkgver}
+ # Allow our jedi/parso/pyls versions
+ sed "s|JEDI_REQVER = '=|JEDI_REQVER = '>=|" -i spyder/dependencies.py
+ sed "s|PARSO_REQVER = '=|PARSO_REQVER = '>=|" -i spyder/dependencies.py
+ sed "s|QDARKSTYLE_REQVER = '=|QDARKSTYLE_REQVER = '>=|" -i spyder/dependencies.py
+ # Allow our Qt version
+ sed "s|'pyqt5<5.13'|'pyqt5'|" -i setup.py
+ sed "s|'pyqtwebengine<5.13'|'pyqtwebengine'|" -i setup.py
+ # https://github.com/spyder-ide/spyder/pull/15100
+ sed "s|SPYDER_KERNELS_REQVER = '>=2.0.1,<2.1.0'|SPYDER_KERNELS_REQVER = '>=2.0.1;<2.1.0'|" -i spyder/dependencies.py
+}
+
+build() {
+ cd ${pkgname}-${pkgver}
+ python setup.py build
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ # Required per above patching
+ sed "s|jedi==|jedi>=|" -i setup.py
+ sed "s|parso==|parso>=|" -i setup.py
+ sed "s|qdarkstyle==|qdarkstyle>=|" -i setup.py
+ sed "s|jedi =|jedi >=|" -i binder/environment.yml
+ sed "s|parso =|parso >=|" -i binder/environment.yml
+ sed "s|qdarkstyle =|qdarkstyle >=|" -i binder/environment.yml
+ sed "s|jedi =|jedi >=|" -i requirements/conda.txt
+ sed "s|parso =|parso >=|" -i requirements/conda.txt
+ sed "s|qdarkstyle =|qdarkstyle >=|" -i requirements/conda.txt
+ sed "s|pyqt <5.13|pyqt|" -i binder/environment.yml
+ sed "s|pyqt <5.13|pyqt|" -i requirements/conda.txt
+ # Some tests failures but upstream does not support us
+ python runtests.py || echo "Tests failed"
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ export PYTHONHASHSEED=0
+ python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+ # Install license file
+ install -Dm644 LICENSE.txt -t ${pkgdir}/usr/share/licenses/${pkgname}/
+ # Install icon file
+ install -Dm644 spyder/images/spyder.svg -t "${pkgdir}"/usr/share/icons/hicolor/scalable/apps/
+ # Remove useless spyder_win_post_install script
+ rm -f "${pkgdir}"/usr/bin/spyder_win_post_install.py
+}
More information about the arch-commits
mailing list